| Home | Libraries | People | FAQ | More

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - n -

- name() : Socket_Option, IO_Control_Command
- native() : boost::asio::stream_socket_service< Protocol >, boost::asio::socket_acceptor_service< Protocol >, boost::asio::datagram_socket_service< Protocol >, boost::asio::basic_socket_acceptor< Protocol, Service >, boost::asio::basic_socket< Protocol, Service >
- native_type : boost::asio::stream_socket_service< Protocol >, boost::asio::socket_acceptor_service< Protocol >, boost::asio::datagram_socket_service< Protocol >, boost::asio::basic_stream_socket< Protocol, Service >, boost::asio::basic_socket_acceptor< Protocol, Service >, boost::asio::basic_socket< Protocol, Service >, boost::asio::basic_datagram_socket< Protocol, Service >
- network_down : boost::asio::error
- network_reset : boost::asio::error
- network_unreachable : boost::asio::error
- next_layer() : boost::asio::ssl::stream< Stream, Service >, boost::asio::buffered_write_stream< Stream >, boost::asio::buffered_stream< Stream >, boost::asio::buffered_read_stream< Stream >
- next_layer_ : boost::asio::ssl::stream< Stream, Service >, boost::asio::buffered_write_stream< Stream >, boost::asio::buffered_read_stream< Stream >
- next_layer_type : boost::asio::ssl::stream< Stream, Service >, boost::asio::buffered_write_stream< Stream >, boost::asio::buffered_stream< Stream >, boost::asio::buffered_read_stream< Stream >
- no_buffer_space : boost::asio::error
- no_data : boost::asio::error
- no_delay : boost::asio::ip::tcp
- no_descriptors : boost::asio::error
- no_memory : boost::asio::error
- no_permission : boost::asio::error
- no_protocol_option : boost::asio::error
- no_recovery : boost::asio::error
- no_sslv2 : boost::asio::ssl::context_base
- no_sslv3 : boost::asio::ssl::context_base
- no_tlsv1 : boost::asio::ssl::context_base
- non_blocking_io : boost::asio::socket_base
- not_connected : boost::asio::error
- not_socket : boost::asio::error
- not_supported : boost::asio::error
- now() : boost::asio::time_traits< boost::posix_time::ptime >
- null() : boost::asio::ssl::stream_service, boost::asio::ssl::context_service
- numeric_host : boost::asio::ip::resolver_query_base
- numeric_service : boost::asio::ip::resolver_query_base

| Copyright © 2003 - 2006 Christopher M. Kohlhoff